Build #6 for hspresent-0.2

[all reports]

Package hspresent-0.2
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-31 18:04:28.233143 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies array-0.5.1.1, base-4.9.0.0, bytestring-0.10.8.1, vty-5.14
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring data-default-class-0.1.2.0...
Configuring dlist-0.8.0.2...
Building data-default-class-0.1.2.0...
Building dlist-0.8.0.2...
Installed data-default-class-0.1.2.0
Configuring microlens-0.4.7.0...
Building microlens-0.4.7.0...
Configuring old-locale-1.0.0.7...
Installed dlist-0.8.0.2
Building old-locale-1.0.0.7...
Configuring parallel-3.2.1.0...
Installed old-locale-1.0.0.7
Building parallel-3.2.1.0...
Configuring mtl-2.2.1...
Installed microlens-0.4.7.0
Building mtl-2.2.1...
Configuring primitive-0.6.1.0...
Installed parallel-3.2.1.0
Building primitive-0.6.1.0...
Configuring stm-2.4.4.1...
Installed mtl-2.2.1
Building stm-2.4.4.1...
Configuring text-1.2.2.1...
Installed primitive-0.6.1.0
Building text-1.2.2.1...
Configuring transformers-compat-0.5.1.4...
Installed stm-2.4.4.1
Building transformers-compat-0.5.1.4...
Configuring utf8-string-1.0.1.1...
Installed transformers-compat-0.5.1.4
Building utf8-string-1.0.1.1...
Configuring data-default-instances-containers-0.0.1...
Installed utf8-string-1.0.1.1
Building data-default-instances-containers-0.0.1...
Installed data-default-instances-containers-0.0.1
Configuring data-default-instances-dlist-0.0.1...
Building data-default-instances-dlist-0.0.1...
Configuring microlens-th-0.4.1.0...
Installed data-default-instances-dlist-0.0.1
Building microlens-th-0.4.1.0...
Configuring data-default-instances-old-locale-0.0.1...
Installed text-1.2.2.1
Building data-default-instances-old-locale-0.0.1...
Configuring microlens-mtl-0.1.10.0...
Installed data-default-instances-old-locale-0.0.1
Configuring vector-0.11.0.0...
Installed microlens-th-0.4.1.0
Building microlens-mtl-0.1.10.0...
Building vector-0.11.0.0...
Installed microlens-mtl-0.1.10.0
Configuring hashable-1.2.4.0...
Building hashable-1.2.4.0...
Configuring parsec-3.1.11...
Installed hashable-1.2.4.0
Building parsec-3.1.11...
Configuring data-default-0.7.1.1...
Installed parsec-3.1.11
Building data-default-0.7.1.1...
Configuring blaze-builder-0.4.0.2...
Installed data-default-0.7.1.1
Building blaze-builder-0.4.0.2...
Installed blaze-builder-0.4.0.2
Installed vector-0.11.0.0
Configuring vty-5.14...
Building vty-5.14...
Installed vty-5.14
Configuring hspresent-0.2...
Building hspresent-0.2...
Failed to install hspresent-0.2
Build log ( /home/builder/.cabal/logs/hspresent-0.2.log ):
cabal: Entering directory '/tmp/cabal-tmp-2187/hspresent-0.2'
Configuring hspresent-0.2...
Building hspresent-0.2...
Preprocessing library hspresent-0.2...
Preprocessing executable 'hspresent' for hspresent-0.2...
[1 of 1] Compiling Main             ( Main.hs, dist/build/hspresent/hspresent-tmp/Main.o )

Main.hs:65:28: error:
    Not in scope: ‘pCursor’
    Perhaps you meant one of these:
      data constructor ‘Cursor’ (imported from Graphics.Vty),
      data constructor ‘NoCursor’ (imported from Graphics.Vty),
      ‘picCursor’ (imported from Graphics.Vty)

Main.hs:66:28: error:
    Not in scope: ‘pImage’
    Perhaps you meant one of these:
      ‘toImage’ (line 37), ‘picImage’ (imported from Graphics.Vty)

Main.hs:75:35: error: Not in scope: data constructor ‘KASCII’

Main.hs:76:35: error: Not in scope: data constructor ‘KASCII’

Main.hs:77:35: error: Not in scope: data constructor ‘KASCII’

Main.hs:86:22: error:
    Not in scope: ‘pCursor’
    Perhaps you meant one of these:
      data constructor ‘Cursor’ (imported from Graphics.Vty),
      data constructor ‘NoCursor’ (imported from Graphics.Vty),
      ‘picCursor’ (imported from Graphics.Vty)

Main.hs:87:22: error:
    Not in scope: ‘pImage’
    Perhaps you meant one of these:
      ‘toImage’ (line 37), ‘picImage’ (imported from Graphics.Vty)
cabal: Leaving directory '/tmp/cabal-tmp-2187/hspresent-0.2'
cabal: Error: some packages failed to install:
hspresent-0.2 failed during the building phase. The exception was:
ExitFailure 1